Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class VertexGridImpl

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.VertexSetBase
                  de.grogra.math.VertexGridImpl

All Implemented Interfaces:
  ContextDependent, VertexGrid, VertexSet, Manageable, Shareable

Direct Known Subclasses:
  BezierSurface, BSplineSurfaceImpl

    public class VertexGridImpl

extends VertexSetBase
implements VertexGrid

Nested Class Summary
`static class` | `VertexGridImpl.Type`

Field Summary
`static VertexGridImpl.Type` | `$TYPE`
`protected int` | `uCount`
`static SCOType.Field` | `uCount$FIELD`

Fields inherited from class de.grogra.math.VertexSetBase
`data, data$FIELD, dimension, dimension$FIELD`

Constructor Summary
`VertexGridImpl()`
`VertexGridImpl(float[] data, int dimension, int uCount)`

Method Summary
`ManageableType` | `getManageableType()`
`int` | `getUCount()`
`int` | `getUSize(GraphState gs)`
`int` | `getVertexIndex(int u, int v, GraphState gs)`
`int` | `getVSize(GraphState gs)`
`void` | `setUCount(int value)`

Methods inherited from class de.grogra.math.VertexSetBase
`dependsOnContext, getData, getDimension, getDimension, getVertex, getVertexIndex, isRational, setData, setDimension`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.math.VertexSet
`getDimension, getVertex, isRational`

Methods inherited from interface de.grogra.graph.ContextDependent
`dependsOnContext, writeStamp`

Field Detail

### $TYPE

    public static final VertexGridImpl.Type $TYPE

### uCount

    protected int uCount

### uCount$FIELD

    public static final SCOType.Field uCount$FIELD

Constructor Detail

### VertexGridImpl

    public VertexGridImpl()

### VertexGridImpl

    public VertexGridImpl(float[] data,
                          int dimension,
                          int uCount)

Method Detail

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getUCount

    public int getUCount()

### getUSize

    public int getUSize(GraphState gs)

  Specified by:
    `getUSize` in interface `VertexGrid`

### getVertexIndex

    public int getVertexIndex(int u,
                              int v,
                              GraphState gs)

  Specified by:
    `getVertexIndex` in interface `VertexGrid`

### getVSize

    public int getVSize(GraphState gs)

  Specified by:
    `getVSize` in interface `VertexGrid`

### setUCount

    public void setUCount(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD